Xalan-Java 2.7.1: Class XNodeSetForDOM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.objects
Class XNodeSetForDOM

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.objects.XObject
                  |
                  +--org.apache.xpath.axes.NodeSequence
                        |
                        +--org.apache.xpath.objects.XNodeSet
                              |
                              +--org.apache.xpath.objects.XNodeSetForDOM

public class XNodeSetForDOM
extends XNodeSet

This class overrides the XNodeSet#object() method to provide the original Node object, NodeList object, or NodeIterator.

See Also:
  Serialized Form

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

Constructor Summary
`XNodeSetForDOM(Node node, DTMManager dtmMgr)`
`XNodeSetForDOM(NodeIterator nodeIter, XPathContext xctxt)`
`XNodeSetForDOM(NodeList nodeList, XPathContext xctxt)`
`XNodeSetForDOM(XNodeSet val)` Construct a XNodeSet object.

Method Summary
`NodeList` | `nodelist()` Cast result object to a nodelist.
`NodeIterator` | `nodeset()` Cast result object to a nodelist.
`java.lang.Object` | `object()` Return the original DOM object that the user passed in.

Methods inherited from class org.apache.xpath.objects.XNodeSet
`appendToFsb, bool, boolWithSideEffects, compare, dispatchCharactersEvents, equals, getFresh, getNumberFromNode, getStringFromNode, getType, getTypeString, greaterThan, greaterThanOrEqual, iter, iterRaw, lessThan, lessThanOrEqual, mutableNodeset, notEquals, num, numWithSideEffects, release, str, xstr`

Methods inherited from class org.apache.xpath.axes.NodeSequence
`allowDetachToRelease, clone, cloneWithReset, detach, fixupVariables, getAnalysisBits, getAxis, getContainedIter, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getLength, getRoot, getWhatToShow, hasCache, isDocOrdered, isFresh, isMutable, item, nextNode, previousNode, reset, runTo, setCurrentPos, setItem, setIter, setRoot, setShouldCacheNodes`

Methods inherited from class org.apache.xpath.objects.XObject
`callVisitors, castToType, create, create, deepEquals, destruct, execute, rtf, rtf, rtree, rtree, toString`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNodeSetForDOM

    public XNodeSetForDOM(Node node,
                          DTMManager dtmMgr)

### XNodeSetForDOM

    public XNodeSetForDOM(XNodeSet val)

  Construct a XNodeSet object.
  Parameters:
    `val` - Value of the XNodeSet object

### XNodeSetForDOM

    public XNodeSetForDOM(NodeList nodeList,
                          XPathContext xctxt)

### XNodeSetForDOM

    public XNodeSetForDOM(NodeIterator nodeIter,
                          XPathContext xctxt)

Method Detail

### object

    public java.lang.Object object()

  Return the original DOM object that the user passed in. For use primarily by the extension mechanism.
  Returns:
    The object that this class wraps
  Overrides:
    object in class XNodeSet

### nodeset

    public NodeIterator nodeset()
                         throws TransformerException

  Cast result object to a nodelist. Always issues an error.
  Returns:
    null
  Throws:
    TransformerException -
  Overrides:
    nodeset in class XNodeSet

### nodelist

    public NodeList nodelist()
                      throws TransformerException

  Cast result object to a nodelist. Always issues an error.
  Returns:
    null
  Throws:
    TransformerException -
  Overrides:
    nodelist in class XNodeSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.